commit:     85c7f617fefa7063cba76e1dd41de3b467f9a171
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 22 08:52:24 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar 22 09:19:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85c7f617

dev-ml/ppx_typerep_conv: bump to 113.33.00

Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/ppx_typerep_conv/Manifest                   |  1 +
 .../ppx_typerep_conv-113.33.00.ebuild              | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ml/ppx_typerep_conv/Manifest b/dev-ml/ppx_typerep_conv/Manifest
index ad82426..fd30133 100644
--- a/dev-ml/ppx_typerep_conv/Manifest
+++ b/dev-ml/ppx_typerep_conv/Manifest
@@ -1 +1,2 @@
 DIST ppx_typerep_conv-113.24.00.tar.gz 56449 SHA256 
d106b1b400c73d484c1f1f28009c8952cc6abcb71de483ab170b04a31efb009c SHA512 
c84f4f61a47965f6df491cde2f3d13d48e3b0d2badfc7a90a299370dfafea5c7b79ea02418800fc3871958d8f5b78aac96a1c86e56b6dafc8e9edc08ff10146e
 WHIRLPOOL 
6bd77599ab66a9daf7506218c43bf5866e0e3c0892f3c8c1fca14396b110e6050b4e9a4105f34940e28119852be4e88581a1f8b650a8b1a04e2b8b2207f84da1
+DIST ppx_typerep_conv-113.33.00.tar.gz 56347 SHA256 
b7e622fe0cec3e91096ed5b9a69e74689d580974caab579aa01bebcf8ca82d14 SHA512 
419c76b6ba0ed1806760180a2ec84684901323209ca4af3d97e1894190090a73c4327686f6fb30769d8bea50a202eab3ca2326b79209a9d13164a4467f4b0644
 WHIRLPOOL 
7143b69d02950eef642a85989ff5e10781884cd8219365147993e6bac761fda46c115d6462b301157150e055812868b280324a1a0cbe7e6b45e7ed8e041cf140

diff --git a/dev-ml/ppx_typerep_conv/ppx_typerep_conv-113.33.00.ebuild 
b/dev-ml/ppx_typerep_conv/ppx_typerep_conv-113.33.00.ebuild
new file mode 100644
index 0000000..b6501cc
--- /dev/null
+++ b/dev-ml/ppx_typerep_conv/ppx_typerep_conv-113.33.00.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+DESCRIPTION="Generation of runtime types from type declarations"
+HOMEPAGE="http://www.janestreet.com/ocaml";
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+       dev-ml/ppx_core:=
+       dev-ml/ppx_tools:=
+       dev-ml/ppx_type_conv:=
+       dev-ml/typerep:=
+       "
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+src_configure() {
+       emake setup.exe
+       OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+       emake
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc CHANGES.md
+}

Reply via email to